//
//  MenuView.swift
//  forShip
//
//  Created by Mamoru Sugita on 2023/10/16.
//

import SwiftUI

struct MenuView: View {
    let contentTitles = ["content1", "content2"]
    
    let dividerColor = ColorSet.LineColor03.color
    var body: some View {
        NavigationStack{
            VStack(spacing: 0) {
                Divider()
                
                MenuContentView(contentTitle: .constant("title1"))
                
                Divider()
                
                    .background(dividerColor)
                
                MenuContentView(contentTitle: .constant("title2"))
                
                Spacer()
            }
//            .toolbar{
//                ToolbarItem(placement: .principal) {
//                    Text("aaaaa")
//                }
//        }
            .navigationTitle("JMB-Demo")
            .navigationBarTitleDisplayMode(.inline)
            .background(ColorSet.BackgroundPrimary.color)
            
            
        }
        
//        List{
//            ForEach(contentTitles, id: \.self) { title in
//                MenuContentView(contentTitle: .constant(title))
//            }
            
//        }
//        .listStyle(.plain)
    }
}

#Preview {
    MenuView()
}
